summaryrefslogtreecommitdiff
path: root/recipes/llvm/llvm-common/llvm-config
diff options
context:
space:
mode:
authorLukas Gorris <lukas.gorris@gmail.com>2009-04-02 21:23:17 +0200
committerLukas Gorris <lukas.gorris@gmail.com>2009-04-02 21:23:17 +0200
commitc1bc969ba3030b6c421cc5d8facc8e1b281d8b9b (patch)
treeeb11b688cc03f3e5efdf5823bda6ac497db5c11c /recipes/llvm/llvm-common/llvm-config
parent052a3fba741a0b82204c93a37caaee17b32b6115 (diff)
parent4af6bdcda04ee551a4b07cd6e14c250d207b3266 (diff)
Merge branch 'org.openembedded.dev' of git@git.openembedded.net:openembedded into org.openembedded.dev
Diffstat (limited to 'recipes/llvm/llvm-common/llvm-config')
-rw-r--r--recipes/llvm/llvm-common/llvm-config10
1 files changed, 10 insertions, 0 deletions
diff --git a/recipes/llvm/llvm-common/llvm-config b/recipes/llvm/llvm-common/llvm-config
new file mode 100644
index 0000000000..5256b8cd06
--- /dev/null
+++ b/recipes/llvm/llvm-common/llvm-config
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Wrapper script for real llvm-config. Simply calls
+
+if [ $WANT_LLVM_RELEASE ]; then
+ exec `dirname $0`/llvm-config$WANT_LLVM_RELEASE ${@}
+else
+ echo "The variable WANT_LLVM_RELEASE is not defined and exported"
+ echo "by your build recipe. Go figure."
+ exit 1
+fi